
% three factor anova with two levels for each factor
% first input is sum of entries for each box, second is number of entries 
% per box.

function fvals=anova23(boxsums,data)

numstim=length(data)

sqsum=sum(data)^2/numstim;

SST=sum(data.^2)-sqsum

A=[ 1 1 0 0 0 0 0 0 ; 0 0 1 1 0 0 0 0 ; 0 0 0 0 1 1 0 0 ; 0 0 0 0 0 0 1 1; -1 1 0 0 0 0 0 0 ; 0 0 -1 1 0 0 0 0 ; 0 0 0 0 -1 1 0 0 ; 0 0 0 0 0 0 -1 1];

col1=A*boxsums
col2=A*col1
effectcontrast=A*col2


sumofsquaresvect=effectcontrast(2:8).^2/numstim

SSE=SST-sum(sumofsquaresvect)
MSE=SSE/(numstim-8);

fvals=sumofsquaresvect/MSE;

% fraction explained
fraction_explained=sumofsquaresvect/SST

