
% this code simulates Experiment 3 of F & Z

% get assessor parameters
load ../assessor/assessor_params


% read in list of words in C1 C2 C3 form
fid=fopen('set_3_words');
set3words=fscanf(fid,'%i',[3 inf])';
fclose(fid);
fid=fopen('set_3_sim');
set3sim=fscanf(fid,'%f',[1 inf])';
fclose(fid);
fid=fopen('set_3_ratings');
set3ratings=fscanf(fid,'%f',[1 inf])';
fclose(fid);

% how many words in set
numwordsexp3=size(set3words,1);

% find experimental words on list of all words
load words legword
exp3_indices=zeros(numwordsexp3,1);
for j=1:numwordsexp3
  wo=set3words(j,:);
  exp3_indices(j)=find( (legword(:,1)==wo(1)) & (legword(:,2)==wo(2)) & (legword(:,3)==wo(3)) );
end

load words allwords
y3=applynet(allwords(exp3_indices,:),W1,W2,b1,b2);

clf

plot(set3sim,y3,'.');
hold on

% get final double geminates
indsfdg=find(set3words(:,2)==set3words(:,3));
plot(set3sim(indsfdg),y3(indsfdg),'s');
% get initial double geminates
indsidg=find(set3words(:,1)==set3words(:,2));
plot(set3sim(indsidg),y3(indsidg),'o');


% do linear regression
inds=find(set3sim>0 & set3sim<1);

% linear regression for experimental results
xvect=set3sim(inds);
A=[ xvect ones(length(inds),1) ];
b=set3ratings(inds);
c=A\b;

disp('fraction of variation explained by similarity (experiment)')
vardata=sum( (b-mean(b)).^2);
varfit=sum(  (A*c - mean(A*c)).^2);
disp(varfit/vardata)

% linear regression for our simulation


xvect=set3sim(inds);
A=[ xvect ones(length(inds),1) ];
b=y3(inds);
c=A\b;

Sxx=sum( (xvect-mean(xvect)).^2);

fitvect=c(1)*xvect+c(2);
s2=sum((fitvect-b).^2)/(length(fitvect)-2);

tstat=c(1)*sqrt(Sxx)/sqrt(s2);


plot( [0 1], [c(2) c(1)+c(2)],'k');

disp('slope')
disp(c(1))

disp('intercept')
disp(c(2))

disp('t statistic')
disp(tstat)

disp('fraction of variation explained by similarity')
vardata=sum( (b-mean(b)).^2);
varfit=sum(  (A*c - mean(A*c)).^2);
disp(varfit/vardata)



